* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: "Clash";
    src: url(fonts/ClashDisplay-Regular.otf);
    font-weight: 400;
}

@font-face {
    font-family: "Clash";
    src: url(fonts/ClashDisplay-Medium.otf);
    font-weight: 500;
}

@font-face {
    font-family: "Clash";
    src: url(fonts/ClashDisplay-Semibold.otf);
    font-weight: 600;
}

@font-face {
    font-family: "Clash";
    src: url(fonts/ClashDisplay-Bold.otf);
    font-weight: 700;
}

html,
body {
    overflow-x: hidden;
}

body,
button {
    font-family: 'Poppins', sans-serif;
}

body {
    background-color: #020315;
    color: white;
}

header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 3vw 5vw;
}

button {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 8px 8px 8px 20px;
    border-radius: 40px;
    font-size: 16px;
    border: none;
    outline: none;
    font-weight: 500;
}

section {
    width: 100%;
    padding: 20px;
}

h2 {
    font-family: "Clash", sans-serif;
    font-weight: 600;
    font-size: 7vw;
}

p {
    width: 350px;
    font-size: 15px;
}

.divGradient {
    width: 100%;
    border-radius: 40px;
    background: radial-gradient(123.18% 107.26% at 50% 0%,
            #020315 42.14%, #157dfd 66.11%, #E5DEFF 100%);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0vw 4vw;
}

.titleBlend {
    color: rgb(121, 121, 121);
    mix-blend-mode: color-dodge;

}

.sec1 {
    .logoTiago {
        width: 50px;
    }

    .iconeBotaoH {
        width: 40px;
    }


    padding-bottom: 2vw;

    .tiagoMattos {
        margin-bottom: 32px;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 12px;
        border-radius: 56px;
        border-bottom: 2px solid rgba(103, 151, 255, 0.2);
        background: linear-gradient(150deg,
                rgba(103, 174, 255, 0.4) 22.41%,
                rgba(103, 169, 255, 0.04) 85.65%);
        box-shadow: 0 -4px 8px 0 rgba(255, 255, 255, 0.1) inset,
            0 4px 8px 0 rgba(255, 255, 255, 0.04) inset;
        backdrop-filter: blur(20.450000762939453px);
        padding: 14px 20px;

        h1 {
            font-size: 15px;
            font-weight: 500;
        }

        .iconeTiago {
            width: 26px;
        }
    }

    h2 {
        font-size: 6vw;
        font-weight: 600;
    }

    .impactante {
        display: flex;
        align-items: center;
        gap: 32px;
        margin-bottom: 6vw;
    }

}

.divLogos {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2vw 6vw;

    .logosC {
        width: 3vw;
    }
}


.sec2 {
    display: flex;

    .botaoContato {
        background-color: rgba(255, 255, 255, 0.895);
        color: rgba(0, 0, 0, 0.756);
        justify-content: center;
        display: inline-flex;
        padding: 10px 10px 10px 20px;
        justify-content: center;
        align-items: center;
        gap: 12px;
        text-decoration: none;
        border-radius: 60px;
    }
    

    .divGradient {
        background: radial-gradient(114.84% 100% at 50% 100%, #020315 42.14%, #1a5edd 66.11%, #E5DEFF 100%);
        flex-direction: row;
        align-items: stretch;
        padding: 120px 4vw 120px;
    }

    .iconeServicos {
        width: 3vw;
    }

    .setaServico {
        width: 6vw;
    }

    .esquerda {
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: end;
        align-items: start;
        width: 280px;
        margin-right: 200px;

        h2 {
            position: absolute;
            top: 0;
        }

        p {
            margin-bottom: 25px;
            margin-top: 0;
        }

    }

    .direita {
        display: flex;
        flex-wrap: wrap;
        flex: 1;

        .degrade {
            background: linear-gradient(263deg,
                    rgba(255, 255, 255, 0.20) 3.87%,
                    rgba(255, 255, 255, 0.00) 97.72%);
        }

        .card {
            width: 33%;
            border-radius: 32px;
            padding: 20px 20px;

            h3 {
                margin: 10px 0px 8px;
            }
        }
    }

    .setaServico {
        width: 35px;

    }
}

.sec3 {
    display: flex;
    flex-direction: column;
    align-items: center;


    .TrabalhoImagens {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 4px;
    }

    img {
        filter: saturate(0);
        transition: all .3s ease;

        &:hover {
            filter: saturate(1);
        }
    }


}

.sec4 {
    position: relative;

    .titleBlend {
        color: rgb(207, 207, 207);
        mix-blend-mode: color-dodge;

    }

    .divGradient {
        padding: 120px 4vw 120px;
        background: radial-gradient(125.31% 94.09% at 67.53% 17.57%,
                #020315 34.21%,
                #2a45f8 65.24%,
                #def0ff 100%);
    }

    .botoes {
        display: flex;
        position: absolute;
        bottom: 120px;
        right: 4vw;
        gap: 24px;
        border-radius: 10px;

    }

    .botaoOrcamento {
        background-color: rgba(0, 0, 0, 0.8);
        color: rgba(255, 255, 255, 0.8);
        justify-content: center;
        display: inline-flex;
        padding: 10px 10px 10px 20px;
        justify-content: center;
        align-items: center;
        gap: 12px;
        text-decoration: none;
        border-radius: 60px;
    }

    .botaoContato {
        background-color: rgba(255, 255, 255, 0.5);
        color: rgba(255, 255, 255, 0.8);
        justify-content: center;
        display: inline-flex;
        padding: 10px 10px 10px 20px;
        justify-content: center;
        align-items: center;
        gap: 12px;
        text-decoration: none;
        border-radius: 60px;

    }

    .iconSec4 {
        width: 45px;
    }
}

/* MEDIA QUERIES */

@media (max-width: 1745px) {
    .sec2 {
        .divGradient {
            flex-direction: column;
        }

        .esquerda {
            h2 {
                position: relative;
            }
        }
    }

    .esquerda {
        h2 {
            position: relative;
        }
    }

}

@media (max-width: 700px) {
    section {
        padding: 12px;

    }

    h2{
        font-size: 10vw;
    }

    .divGradient {
        padding: 0px 16px;
    }

    header {
        padding: 20px 0px;
        justify-content: center;
    }

    .sec1 {
        .tiagoMattos {
            margin: 20px 0px 32px;
            align-items: center;

            h1 {
                font-size: 14px;
            }

            .iconeTiago {
                width: 26px;
            }
        }

        h2 {
            font-size: 8vw;
        }

        .impactante {
            flex-direction: column;
            width: 100%;
            gap: 10px;

            p {
                width: 100%;
                text-align: center;
                /* clamp da o tamanho mínimo, ideal e máximo */
                font-size: clamp(15px, 3.2vw, 3.2vw);
                margin-bottom: 40px;
            }
        }
    }

    .divLogos {

        gap: 20px;
        justify-content: center;
        padding: 40px 0px;

        .logosC {
            width: 43px;
        }
    }

    .sec2 {
        .divGradient {
            padding: 40px 20px;
            background: radial-gradient(186.84% 69% at 49% 45%,
                    #020315 42.14%,
                    #356dfb 66.11%,
                    #e5deff 100%);

        }

        .direita {
            flex-direction: column;

            .card {
                width: 100%;
            }

            p {
                width: 90%;
            }

            .iconeServicos {
                width: 50px;
            }
        }

        .esquerda {

            p{
                width: 100%;
            }
        }
    }

    .sec3 {
        h2{
            font-size: 10vw;
            margin-top: 50px;
            margin-bottom: 20px;
        }

        .TrabalhoImagens {
            grid-template-columns: 1fr;
            gap: 16px;
            margin: auto;
            width: 100%;
        }

        img{
            width: 100%;
            border-radius: 10px;
        }
    }

    .sec4{

        h2{
            font-size: 8vw;
            margin-bottom: 25px;
        }

        .divGradient{
            padding: 40px 20px;
            background: linear-gradient(16deg, 
            #020315 15%, 
            #356DFB 64.37%, 
            #DEF0FF 88.63%);

        }

        .botoes{
            width: 100%;
            align-items: start;
            position: relative;
            flex-direction: column;
            top: auto;
            right: auto;
            left: auto;
            bottom: auto;
        }

    }

}